import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/resource/timetable',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/List.vue') },
      { path: 'update', component: () => import('./views/Update.vue') },
      { path: 'view', component: () => import('./views/View.vue') }
    ]
  }
]
